Package com.pixelmed.apps

# Class ConvertSRTCodesToSCT

java.lang.Object
com.pixelmed.apps.ConvertSRTCodesToSCT

public class ConvertSRTCodesToSCT extends Object

A class to convert all SRT codes to SCT codes.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`ConvertSRTCodesToSCT.OurMediaImporter`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`ourAETitle`
`protected String`
`xmlRetiredSRTNewSCTMappingResourceName`
`protected String`
`xmlSRTSCTMappingResourceName`

## Constructor Summary

Constructors
Constructor
Description
`ConvertSRTCodesToSCT(String[] srcs, String dstFolderName)`
Examine a set of SR files and copy them converting SRT codes to SCT codes (per CP 1850).

## Method Summary

Modifier and Type
Method
Description
`void`
`convertSRTToSCTInThisItem(AttributeList list)`
Convert SRT codes to SCT codes (per CP 1850) in this ItemList.
`void`
`findCodeSequenceItemsAndConvertSRTCodesToSCT(AttributeList list)`
Convert SRT codes to SCT codes (per CP 1850) in the this and its children.
`static void`
`main(String[] arg)`
Examine a set of SR files and copy them converting SRT codes to SCT codes (per CP 1850).

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ourAETitle

protected String ourAETitle

### xmlSRTSCTMappingResourceName

protected String xmlSRTSCTMappingResourceName

### xmlRetiredSRTNewSCTMappingResourceName

protected String xmlRetiredSRTNewSCTMappingResourceName

## Constructor Details

### ConvertSRTCodesToSCT

public ConvertSRTCodesToSCT(String[] srcs, String dstFolderName) throws FileNotFoundException, IOException, DicomException

Examine a set of SR files and copy them converting SRT codes to SCT codes (per CP 1850).

Parameters:
  `srcs` -
  `dstFolderName` -
Throws:
  `FileNotFoundException`
  `IOException`
  `DicomException`

## Method Details

### convertSRTToSCTInThisItem

public void convertSRTToSCTInThisItem(AttributeList list)

Convert SRT codes to SCT codes (per CP 1850) in this ItemList.

Does not recurse into SequenceAttributes.

Parameters:
  `list` -

### findCodeSequenceItemsAndConvertSRTCodesToSCT

public void findCodeSequenceItemsAndConvertSRTCodesToSCT(AttributeList list)

Convert SRT codes to SCT codes (per CP 1850) in the this and its children.

Recurses into SequenceAttributes.

Parameters:
  `list` -

### main

public static void main(String[] arg)

Examine a set of SR files and copy them converting SRT codes to SCT codes (per CP 1850).

Parameters:
  `arg` - array of 2 or more strings - one or more source folder or DICOMDIR and a destination folder